Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 17 Jul 2019, 11:17
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
Unable to install Firefox in Tahr64 6.0.5
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [3 Posts]  
Author Message
kpfuser

Joined: 19 Mar 2006
Posts: 206
Location: Mt Pelion, Greece

PostPosted: Wed 20 Mar 2019, 19:05    Post subject:  Unable to install Firefox in Tahr64 6.0.5  

While attempting a test drive of trahr64 6.0.5, I downloaded the latest firefox esr, unpacked it into /root/my-applications, and subsequently failed in all of my efforts to launch it either from the command line or from a desktop shortcut. Any idea as to what I did wrong?
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 12322
Location: S.C. USA

PostPosted: Wed 20 Mar 2019, 23:59    Post subject:  

I assume you have seen this:
http://www.murga-linux.com/puppy/viewtopic.php?t=112376

Best to try and use a Firefox put together for Puppy.



/root/my-applications/bin

/root/my-applications/bin/ is in the executable search path,
as set by environment variable PATH.

Therefore, any executables placed in here will be found.

However, if you downloaded the latest firefox esr, unpacked it into a directory, named Firefox.
Put that directory in /opt
Should be able to take the Firefox exec file in the Firefox directory and make a desktop shortcut to it.

Not sure Tahrpup 6.0.5 still has all the dependencies needed for Firefox. Firefox constantly changes what it needs.
Someone that tries to keep Firefox working will come along.
They know more than I do.

_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer) http://www.murga-linux.com/puppy/viewtopic.php?t=107601
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 3207
Location: 500 seconds from Sol

PostPosted: Thu 21 Mar 2019, 11:18    Post subject: Suggest you Setup Xenialpup64 before spending a lot of time  

I'm posting from Tahrpup64-6.0.5 using Mike Walsh's firefox esr-portable, available from this link,http://murga-linux.com/puppy/viewtopic.php?p=1018511#1018511. Fredx181's firefox Quantum portable, on which it was based, available here, http://murga-linux.com/puppy/viewtopic.php?p=978010#978010 also worked.

I opened Puppy Package Manager>Uninstall and examined what pets & other applications I've installed into Tahrpup64. None of those mentioned as perhaps being needed on the firefox quantum link have been installed.

By the way, although Tahrpup 32-bit may require slightly less RAM than Xenialpup 32-bit to give satisfactory performance, if your computer has sufficient RAM to satisfactorily run Tahrpup64 there is no reason not to run Xenialpup64. The latter is still being actively maintained on this Forum; and with rare exceptions any pet/sfs which would run under Tahrpup64 will run under Xenialpup64. Ubuntu will continue to support Xenial Xerus thru April of 2021, while Ubuntu Trusty Tahr, on which Tahrpup is based will reach End of Life next month. Following that event, attempts to keep Tahrpup secure will depend almost entirely on the time and interest available to Puppy Devs.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [3 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0763s ][ Queries: 11 (0.0255s) ][ GZIP on ]